#include "pch.h"
#include "Project.h"

void Project::addMetalogFile(std::string metaLogFile)
{
	//If file exist and can be open
	runVec.push_back(Wrapper(metaLogFile));
}

void Project::removeRunData(RunData* data)
{
	auto wrapperIter = std::find_if(runVec.begin(), runVec.end(), [&data](Wrapper& wrap) -> bool {return(&wrap.data == data); });
	//Remove RunData from all GraphVec
	//TODO

	//remove from list -> delete itself;
	//TODO

}

void Project::addGraphView(GraphView* view)
{
	viewVec.push_back(view);
}

void Project::assignRunDataPointVecToView(RunData* data, std::vector<GraphDataPoint>* vec, GraphView* view)
{

}
